using System;
using System.Collections.Generic;

class Program
{
    public static void Main(string[] args)
    {
        // List-Auflistung für int-Werte
        List<int> values = new List<int>(10);

        Random generator = new Random((int)DateTime.Now.Ticks);

        for (int i = 1; i <= 10; i++)
            values.Add(generator.Next(100));

        foreach (int i in values)
            Console.WriteLine(i);


        // Mit einem Prädikat nach dem ersten Wert über 50 suchen
        int fiftyPlus = values.Find(Bigger50);

        Console.WriteLine("Erste Zahl größer 50: " + fiftyPlus);
    }

    // Die Prädikat-Methode
    private static bool Bigger50(int n)
    {
        if (n > 50)
            return true;
        else
            return false;
    }
}
